package com.sa.ibiz.demo.demo.service;

import com.sa.ibiz.demo.demo.domain.DEDataChgDisp;
import com.sa.ibiz.demo.demo.service.dto.DEDataChgDispSearchFilter;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.core.metadata.IPage;
import java.util.List;
import com.baomidou.mybatisplus.extension.service.IService;
import java.util.Map;

/**
 * 实体[DEDataChgDisp] 服务对象接口
 */
public interface DEDataChgDispService extends IService<DEDataChgDisp>{

	boolean getDraft(DEDataChgDisp et);
	boolean checkKey(DEDataChgDisp et);
	boolean update(DEDataChgDisp et);
	boolean remove(DEDataChgDisp et);
	boolean create(DEDataChgDisp et);
		DEDataChgDisp get(DEDataChgDisp et);
    List<DEDataChgDisp> listDefault(DEDataChgDispSearchFilter filter) ;
	Page<DEDataChgDisp> searchDefault(DEDataChgDispSearchFilter filter);
	/**	 实体[DEDataChgDisp] 自定义数据查询  	**/
	List<Map<String,Object>> selectRow(String sql);
 }